# GpgFrontend Project: GpgFrontend::CtxCheckThread Class Reference

GpgFrontend::CtxCheckThread Class Reference
Inheritance diagram for GpgFrontend::CtxCheckThread:
Collaboration diagram for GpgFrontend::CtxCheckThread:

## Signals

void | SignalGnupgNotInstall ()

## Public Member Functions

| CtxCheckThread ()
| Construct a new Ctx Check Thread object. More...

## Protected Member Functions

void | run () override

## Constructor & Destructor Documentation

## CtxCheckThread()

GpgFrontend::CtxCheckThread::CtxCheckThread | ( |  | ) |

Construct a new Ctx Check Thread object.

Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

The source code version of this software was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com eric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

References GpgFrontend::CoreCommonUtil::GetInstance().

The documentation for this class was generated from the following files:

- src/core/thread/CtxCheckThread.h
- src/core/thread/CtxCheckThread.cpp